Bug 1265556 - Attempt Import of vCenter VM give error "VDSM <hostname> command failed: local variable 'capacity' referenced before assignment” on 3.6 rc5
Attempt Import of vCenter VM give error "VDSM <hostname> command failed: loca...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity high (vote)
: ovirt-3.6.1
: 3.6.1.2
Assigned To: Francesco Romani
Nisim Simsolo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 04:36 EDT by ian
Modified: 2016-02-18 06:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:11:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑3.6.z?
ylavi: ovirt‑4.0.0?
rule-engine: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
vdsm.log from host that was used to access vcenter. (270.09 KB, text/plain)
2015-09-23 04:36 EDT, ian
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 46540 master MERGED v2v: Fix getExternalVMs if getting disk size failed Never
oVirt gerrit 47362 ovirt-3.6 MERGED v2v: Fix getExternalVMs if getting disk size failed Never
oVirt gerrit 47364 master MERGED tests: v2v: add test for commit fb4c72a Never

  None (edit)
Description ian 2015-09-23 04:36:00 EDT
Created attachment 1076122 [details]
vdsm.log from host that was used to access vcenter.

Description of problem:

When I attempt to import a VM from vCenter I click the load button and the popup window hangs forever, when I close the popup I get the following in events: “VDSM <hostname> command failed: local variable 'capacity' referenced before assignment”
 

Version-Release number of selected component (if applicable):
3.6 rc5

How reproducible:
Always on my setup

Steps to Reproduce:
1. Log into administration portal, System->Virtual Machines. 
2. Click Import. Select VMware for source  and complete details for your vCenter environment or select a valid external provider (previously set).
3. Click the "Load" button.

Actual results:
The "Import Virtual Machine(s)" popup window in webui hangs forever, event shows "VDSM <hostname> command failed: local variable 'capacity' referenced before assignment"

Expected results:
Loads list of VM's to be imported.

Additional info:
Attached vdsm.log
Comment 1 Michal Skrivanek 2015-10-15 05:23:34 EDT
Francesco, can you please take care of a backport to 3.6?
Comment 2 Francesco Romani 2015-10-15 06:25:50 EDT
back to ASSIGNED until backports are ready
Comment 3 Francesco Romani 2015-10-22 10:52:07 EDT
patches merged on master, fix merged on branch: http://gerrit.ovirt.org/47362
Comment 4 Red Hat Bugzilla Rules Engine 2015-11-26 23:39:46 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 5 Michal Skrivanek 2015-12-04 08:44:00 EST
come on....
Comment 6 Francesco Romani 2016-01-20 03:40:38 EST
This BZ fixed an unexpected error in the import process. It is not known to be particularly widespread or common. I don't think it deserves mention in the docs.
Comment 7 Nisim Simsolo 2016-01-20 05:30:48 EST
Verified: 
rhevm-3.6.2.5-0.1.el6
sanlock-3.2.4-1.el7.x86_64
vdsm-4.17.17-0.el7ev.noarch
libvirt-client-1.2.17-13.el7_2.2.x86_64
qemu-kvm-rhev-2.3.0-31.el7_2.4.x86_64

Note You need to log in before you can comment on or make changes to this bug.